Package javax.validation

# Interface TraversableResolver

public interface TraversableResolver

Version:
  $Rev$ $Date$

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCascadable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`
`boolean`
`isReachable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)`

## Method Details

### isReachable

boolean isReachable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)

### isCascadable

boolean isCascadable(Object traversableObject, Path.Node traversableProperty, Class<?> rootBeanType, Path pathToTraversableObject, ElementType elementType)